Bug 52570 - Crashes on startup
Summary: Crashes on startup
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: hwbrowser   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jonathan Blandford
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-25 14:14 UTC by Kjartan Maraas
Modified: 2013-04-02 04:15 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-10 16:27:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kjartan Maraas 2001-08-25 14:14:17 UTC
Description of Problem:

The program crashes when started.

Version-Release number of selected component (if applicable):

hwbrowser-0.3.4-1

How Reproducible:

Every time

Steps to Reproduce:
1. run it
2. 
3. 

Actual Results:

Crash with the following backtrace:


root@localhost kmaraas]# hwbrowser 
Traceback (innermost last):
  File "/usr/share/hwbrowser/DeviceList.py", line 158, in ?
    setup_ui ()
  File "/usr/share/hwbrowser/DeviceList.py", line 151, in setup_ui
    DeviceDisk.initialize (xml, hardware)
  File "/usr/share/hwbrowser/DeviceDisk.py", line 397, in initialize
    for device in hardware [kudzu.CLASS_HD]:
  File "/usr/lib/python1.5/UserDict.py", line 14, in __getitem__
    def __getitem__(self, key): return self.data[key]
KeyError: 12

Expected Results:

View of machines hardware?


Additional Information:

This is a Compaq ProLiant ML 530 with a 5300 RAID controller. ATI graphics,
6 x 18,2 GB disk, IDE CD-ROM

Comment 1 Bill Nottingham 2001-08-27 02:13:34 UTC
all drives on smartarry?

Comment 2 Kjartan Maraas 2001-08-27 10:37:52 UTC
yes

Comment 3 Jonathan Blandford 2002-01-30 19:54:13 UTC
no longer should crash.



Note You need to log in before you can comment on or make changes to this bug.